close all
clear
clc

DataDirSameDiff = ...
    dir(['Experiment03_Hand/Experiment03a_Light_Same_DifferentHand\DataExp_Light_Light_Same_DifferentHand/' '*.mat']);

DataDirDiffSame = ...
    dir(['Experiment03_Hand/Experiment03b_Light_Different_SameHand\DataExp_Light_Light_Different_SameHand/' '*.mat']);

NumSubjects=0;
right_handed=0;
left_handed=0;

male=0;
female=0;

Ages=[];
ISIs=[];

for dd=1:length(DataDirSameDiff)
    Datadir=['Experiment03_Hand/Experiment03a_Light_Same_DifferentHand\DataExp_Light_Light_Same_DifferentHand/' DataDirSameDiff(dd).name];
    load(Datadir)
    if strcmpi(SubjectInfo.handedness, 'r')
        right_handed=right_handed+1;
    else
        left_handed=left_handed+1;
    end
    
    if strcmpi(SubjectInfo.gender, 'm')
        male=male+1;
    else
        female=female+1;
    end
    Ages=[Ages SubjectInfo.age];
    ISIs=[ISIs ITI];
    NumSubjects=NumSubjects+1;
    
end

for dd=1:length(DataDirDiffSame)
    Datadir=['Experiment03_Hand/Experiment03b_Light_Different_SameHand\DataExp_Light_Light_Different_SameHand/' DataDirDiffSame(dd).name];
    load(Datadir)
    if strcmpi(SubjectInfo.handedness, 'r')
        right_handed=right_handed+1;
    else
        left_handed=left_handed+1;
    end
    
    if strcmpi(SubjectInfo.gender, 'm')
        male=male+1;
    else
        female=female+1;
    end
    Ages=[Ages SubjectInfo.age];
    ISIs=[ISIs ITI];
    NumSubjects=NumSubjects+1;
        
end

NumSubjects
female
left_handed
MeanAge=round(mean(Ages))
StdAge=round(std(Ages))
Min_InterSessionInterval=min(ISIs./60)